> ## Documentation Index
> Fetch the complete documentation index at: https://docs.endaoment.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get current user's activities

> Returns a list of activities associated with the authenticated user



## OpenAPI

````yaml https://api.endaoment.org/oas-json get /v1/activity/mine
openapi: 3.0.0
info:
  title: Endaoment API
  description: The official Endaoment API endpoints
  version: 0.0.1
  contact: {}
servers:
  - url: https://api.endaoment.org
    description: Production
security: []
tags: []
paths:
  /v1/activity/mine:
    get:
      tags:
        - Activity
      summary: Get current user's activities
      description: Returns a list of activities associated with the authenticated user
      operationId: ActivityController_getUserRecentActivity
      parameters: []
      responses:
        '200':
          description: List of user activities successfully retrieved
          content:
            application/json:
              schema:
                type: array
                items:
                  oneOf:
                    - $ref: '#/components/schemas/DonationActivity'
                    - $ref: '#/components/schemas/PortfolioTradeActivity'
                    - $ref: '#/components/schemas/InternalTransferActivity'
                    - $ref: '#/components/schemas/StockDonationPledgeActivity'
                    - $ref: '#/components/schemas/CustodianCashPledgeActivity'
                    - $ref: '#/components/schemas/CryptoDonationPledgeActivity'
                    - $ref: '#/components/schemas/FiatDonationPledgeActivity'
                    - $ref: '#/components/schemas/CashDonationPledgeActivity'
                  discriminator:
                    propertyName: type
                    mapping:
                      donation:
                        $ref: '#/components/schemas/DonationActivity'
                      portfolio_trade:
                        $ref: '#/components/schemas/PortfolioTradeActivity'
                      grant:
                        $ref: '#/components/schemas/InternalTransferActivity'
                      internal_transfer:
                        $ref: '#/components/schemas/InternalTransferActivity'
                      pending_grant:
                        $ref: '#/components/schemas/InternalTransferActivity'
                      pending_internal_transfer:
                        $ref: '#/components/schemas/InternalTransferActivity'
                      stock_donation_pledge:
                        $ref: '#/components/schemas/StockDonationPledgeActivity'
                      custodian_cash_pledge:
                        $ref: '#/components/schemas/CustodianCashPledgeActivity'
                      crypto_donation_pledge:
                        $ref: '#/components/schemas/CryptoDonationPledgeActivity'
                      nec_donation_pledge:
                        $ref: '#/components/schemas/CryptoDonationPledgeActivity'
                      fiat_donation_pledge:
                        $ref: '#/components/schemas/FiatDonationPledgeActivity'
                      cash_donation_pledge:
                        $ref: '#/components/schemas/CashDonationPledgeActivity'
      security:
        - bearer: []
components:
  schemas:
    DonationActivity:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of entity that triggered the activity
          example: 123e4567-e89b-12d3-a456-426614174000
        transactor:
          type: string
          description: Address or label of the initiator of this activity
          nullable: true
          example: '0x1234567890abcdef1234567890abcdef12345678'
        occurredAtUtc:
          type: string
          description: >-
            Timestamp of when the activity occurred on-chain (or database
            timestamp if not available)
          format: date-time
          example: '2023-01-01T12:00:00Z'
        transactorUrl:
          type: string
          description: Link for the transactor address or identity
          nullable: true
          example: >-
            https://etherscan.io/address/0x1234567890abcdef1234567890abcdef12345678
        transactionHash:
          type: string
          description: Transaction hash for the activity
          nullable: true
          example: '0xabcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890'
        type:
          type: string
          description: Type of the activity
          example: donation
          enum:
            - donation
        automated:
          type: boolean
          description: Flag indicating if this activity is driven by an automated process
          example: false
        chainId:
          type: number
          description: Chain ID of the activity (null for off-chain activities)
          nullable: true
          example: 1
        amount:
          type: string
          description: Amount transferred in the smallest currency unit of the asset
          example: '1000000000000000000'
        usdcAmount:
          type: string
          description: >-
            USDC equivalent amount of the transaction, prior to fees being
            applied, in the smallest currency unit (1000000 = 1 USD)
          example: '1000000000'
        token:
          description: Token of this donation (null if it was a stock donation)
          nullable: true
          allOf:
            - $ref: '#/components/schemas/TokenListingDto'
        stock:
          description: Stock of this donation (null if it was a crypto donation)
          nullable: true
          allOf:
            - $ref: '#/components/schemas/StockListingDto'
        to:
          description: Destination entity of the donation
          allOf:
            - $ref: '#/components/schemas/EntityLabelDto'
      required:
        - id
        - transactor
        - occurredAtUtc
        - transactorUrl
        - transactionHash
        - type
        - automated
        - chainId
        - amount
        - usdcAmount
        - token
        - stock
        - to
    PortfolioTradeActivity:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of entity that triggered the activity
          example: 123e4567-e89b-12d3-a456-426614174000
        transactor:
          type: string
          description: Address or label of the initiator of this activity
          nullable: true
          example: '0x1234567890abcdef1234567890abcdef12345678'
        occurredAtUtc:
          type: string
          description: >-
            Timestamp of when the activity occurred on-chain (or database
            timestamp if not available)
          format: date-time
          example: '2023-01-01T12:00:00Z'
        transactorUrl:
          type: string
          description: Link for the transactor address or identity
          nullable: true
          example: >-
            https://etherscan.io/address/0x1234567890abcdef1234567890abcdef12345678
        transactionHash:
          type: string
          description: Transaction hash for the activity
          nullable: true
          example: '0xabcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890'
        type:
          type: string
          description: Type of the activity
          example: portfolio_trade
          enum:
            - portfolio_trade
        automated:
          type: boolean
          description: Flag indicating if this activity is driven by an automated process
          example: false
        chainId:
          type: number
          description: Chain ID of the activity (null for off-chain activities)
          nullable: true
          example: 1
        amount:
          type: string
          description: Amount transferred in the smallest currency unit of the asset
          example: '1000000000000000000'
        usdcAmount:
          type: string
          description: >-
            USDC equivalent amount of the transaction, prior to fees being
            applied, in the smallest currency unit (1000000 = 1 USD)
          example: '1000000000'
        portfolio:
          description: Portfolio involved in this trade
          allOf:
            - $ref: '#/components/schemas/PortfolioLabelDto'
        fund:
          description: Fund associated with this trade
          allOf:
            - $ref: '#/components/schemas/EntityLabelDto'
        tradeType:
          type: string
          description: Type of trade
          enum:
            - Buy
            - Sell
          example: Buy
        shares:
          type: string
          description: Shares transacted (not available on "InTransit" buy trades)
          nullable: true
          example: '100000000'
        outcome:
          type: string
          description: Outcome of the trade
          enum:
            - InTransit
            - Completed
          example: Completed
      required:
        - id
        - transactor
        - occurredAtUtc
        - transactorUrl
        - transactionHash
        - type
        - automated
        - chainId
        - amount
        - usdcAmount
        - portfolio
        - fund
        - tradeType
        - shares
        - outcome
    InternalTransferActivity:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of entity that triggered the activity
          example: 123e4567-e89b-12d3-a456-426614174000
        transactor:
          type: string
          description: Address or label of the initiator of this activity
          nullable: true
          example: '0x1234567890abcdef1234567890abcdef12345678'
        occurredAtUtc:
          type: string
          description: >-
            Timestamp of when the activity occurred on-chain (or database
            timestamp if not available)
          format: date-time
          example: '2023-01-01T12:00:00Z'
        transactorUrl:
          type: string
          description: Link for the transactor address or identity
          nullable: true
          example: >-
            https://etherscan.io/address/0x1234567890abcdef1234567890abcdef12345678
        transactionHash:
          type: string
          description: Transaction hash for the activity
          nullable: true
          example: '0xabcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890'
        type:
          type: string
          description: Type of internal transfer activity
          example: grant
          enum:
            - grant
            - internal_transfer
            - pending_grant
            - pending_internal_transfer
        automated:
          type: boolean
          description: Flag indicating if this activity is driven by an automated process
          example: false
        chainId:
          type: number
          description: Chain ID of the activity (null for off-chain activities)
          nullable: true
          example: 1
        amount:
          type: string
          description: Amount transferred in the smallest currency unit of the asset
          example: '1000000000000000000'
        usdcAmount:
          type: string
          description: >-
            USDC equivalent amount of the transaction, prior to fees being
            applied, in the smallest currency unit (1000000 = 1 USD)
          example: '1000000000'
        token:
          description: Token transferred in this activity
          allOf:
            - $ref: '#/components/schemas/TokenListingDto'
        from:
          description: Source entity of the transfer
          allOf:
            - $ref: '#/components/schemas/EntityLabelDto'
        to:
          description: Destination entity of the transfer
          allOf:
            - $ref: '#/components/schemas/EntityLabelDto'
      required:
        - id
        - transactor
        - occurredAtUtc
        - transactorUrl
        - transactionHash
        - type
        - automated
        - chainId
        - amount
        - usdcAmount
        - token
        - from
        - to
    StockDonationPledgeActivity:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of entity that triggered the activity
          example: 123e4567-e89b-12d3-a456-426614174000
        transactor:
          type: string
          description: Address or label of the initiator of this activity
          nullable: true
          example: '0x1234567890abcdef1234567890abcdef12345678'
        occurredAtUtc:
          type: string
          description: >-
            Timestamp of when the activity occurred on-chain (or database
            timestamp if not available)
          format: date-time
          example: '2023-01-01T12:00:00Z'
        transactorUrl:
          type: string
          description: Link for the transactor address or identity
          nullable: true
          example: >-
            https://etherscan.io/address/0x1234567890abcdef1234567890abcdef12345678
        transactionHash:
          type: string
          description: Transaction hash for the activity
          nullable: true
          example: '0xabcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890'
        type:
          type: string
          description: Type of the activity
          example: stock_donation_pledge
          enum:
            - stock_donation_pledge
        automated:
          type: boolean
          description: Flag indicating if this activity is driven by an automated process
          example: false
        chainId:
          type: number
          description: Chain ID of the activity (null for off-chain activities)
          nullable: true
          example: 1
        pledgeId:
          type: string
          description: Unique identifier of the pledge
          example: 123e4567-e89b-12d3-a456-426614174000
        to:
          description: Destination entity of the donation pledge
          allOf:
            - $ref: '#/components/schemas/EntityLabelDto'
        protocolFeesUsdc:
          type: string
          description: >-
            Actual or estimated protocol fees for the pledge, in the smallest
            USDC unit (1000000 = 1 USD), or null when unavailable
          nullable: true
          example: '1000000'
        netDonationUsdc:
          type: string
          description: >-
            Actual or estimated net donation amount after protocol fees, in the
            smallest USDC unit (1000000 = 1 USD), or null when unavailable
          nullable: true
          example: '99000000'
        outcome:
          type: string
          description: Outcome of the pledge
          enum:
            - Pending
            - AwaitingAssets
            - OnRamping
            - Success
            - Failure
          example: Success
        stock:
          description: The stock that was pledged
          allOf:
            - $ref: '#/components/schemas/StockListingDto'
        amount:
          type: string
          description: >-
            The amount of stock that was pledged. Example: 10 = 10 shares.
            Values can be fractional.
          example: '10'
        usdcAmount:
          type: string
          description: >-
            The USDC amount of the pledge (actual amount if successful,
            estimated if pending), prior to fees being applied, in the smallest
            currency unit (1000000 = 1 USD)
          example: '1000000000'
      required:
        - id
        - transactor
        - occurredAtUtc
        - transactorUrl
        - transactionHash
        - type
        - automated
        - chainId
        - pledgeId
        - to
        - protocolFeesUsdc
        - netDonationUsdc
        - outcome
        - stock
        - amount
        - usdcAmount
    CustodianCashPledgeActivity:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of entity that triggered the activity
          example: 123e4567-e89b-12d3-a456-426614174000
        transactor:
          type: string
          description: Address or label of the initiator of this activity
          nullable: true
          example: '0x1234567890abcdef1234567890abcdef12345678'
        occurredAtUtc:
          type: string
          description: >-
            Timestamp of when the activity occurred on-chain (or database
            timestamp if not available)
          format: date-time
          example: '2023-01-01T12:00:00Z'
        transactorUrl:
          type: string
          description: Link for the transactor address or identity
          nullable: true
          example: >-
            https://etherscan.io/address/0x1234567890abcdef1234567890abcdef12345678
        transactionHash:
          type: string
          description: Transaction hash for the activity
          nullable: true
          example: '0xabcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890'
        type:
          type: string
          description: Type of the activity
          example: custodian_cash_pledge
          enum:
            - custodian_cash_pledge
        automated:
          type: boolean
          description: Flag indicating if this activity is driven by an automated process
          example: false
        chainId:
          type: number
          description: Chain ID of the activity (null for off-chain activities)
          nullable: true
          example: 1
        pledgeId:
          type: string
          description: Unique identifier of the pledge
          example: 123e4567-e89b-12d3-a456-426614174000
        to:
          description: Destination entity of the donation pledge
          allOf:
            - $ref: '#/components/schemas/EntityLabelDto'
        protocolFeesUsdc:
          type: string
          description: >-
            Actual or estimated protocol fees for the pledge, in the smallest
            USDC unit (1000000 = 1 USD), or null when unavailable
          nullable: true
          example: '1000000'
        netDonationUsdc:
          type: string
          description: >-
            Actual or estimated net donation amount after protocol fees, in the
            smallest USDC unit (1000000 = 1 USD), or null when unavailable
          nullable: true
          example: '99000000'
        outcome:
          type: string
          description: Outcome of the pledge
          enum:
            - Pending
            - AwaitingAssets
            - OnRamping
            - Success
            - Failure
          example: Success
        usdcAmount:
          type: string
          description: >-
            The USDC amount of the pledge (actual amount if successful,
            estimated if pending), prior to fees being applied, in the smallest
            currency unit (1000000 = 1 USD)
          example: '1000000000'
      required:
        - id
        - transactor
        - occurredAtUtc
        - transactorUrl
        - transactionHash
        - type
        - automated
        - chainId
        - pledgeId
        - to
        - protocolFeesUsdc
        - netDonationUsdc
        - outcome
        - usdcAmount
    CryptoDonationPledgeActivity:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of entity that triggered the activity
          example: 123e4567-e89b-12d3-a456-426614174000
        transactor:
          type: string
          description: Address or label of the initiator of this activity
          nullable: true
          example: '0x1234567890abcdef1234567890abcdef12345678'
        occurredAtUtc:
          type: string
          description: >-
            Timestamp of when the activity occurred on-chain (or database
            timestamp if not available)
          format: date-time
          example: '2023-01-01T12:00:00Z'
        transactorUrl:
          type: string
          description: Link for the transactor address or identity
          nullable: true
          example: >-
            https://etherscan.io/address/0x1234567890abcdef1234567890abcdef12345678
        transactionHash:
          type: string
          description: Transaction hash for the activity
          nullable: true
          example: '0xabcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890'
        type:
          type: string
          description: Type of the activity
          example: crypto_donation_pledge
          enum:
            - crypto_donation_pledge
            - nec_donation_pledge
        automated:
          type: boolean
          description: Flag indicating if this activity is driven by an automated process
          example: false
        chainId:
          type: number
          description: Chain ID of the activity (null for off-chain activities)
          nullable: true
          example: 1
        pledgeId:
          type: string
          description: Unique identifier of the pledge
          example: 123e4567-e89b-12d3-a456-426614174000
        to:
          description: Destination entity of the donation pledge
          allOf:
            - $ref: '#/components/schemas/EntityLabelDto'
        protocolFeesUsdc:
          type: string
          description: >-
            Actual or estimated protocol fees for the pledge, in the smallest
            USDC unit (1000000 = 1 USD), or null when unavailable
          nullable: true
          example: '1000000'
        netDonationUsdc:
          type: string
          description: >-
            Actual or estimated net donation amount after protocol fees, in the
            smallest USDC unit (1000000 = 1 USD), or null when unavailable
          nullable: true
          example: '99000000'
        outcome:
          type: string
          description: Outcome of the pledge
          enum:
            - Pending
            - AwaitingAssets
            - OnRamping
            - Success
            - Failure
          example: Success
        token:
          description: Token that was pledged
          allOf:
            - $ref: '#/components/schemas/TokenListingDto'
        amount:
          type: string
          description: Amount of token pledged in the smallest currency unit
          example: '1000000000000000000'
        usdcAmount:
          type: string
          description: >-
            The USDC amount that reached the entity, prior to fees being
            applied, (null if not successful or not liquidated), in the smallest
            currency unit (1000000 = 1 USD)
          nullable: true
          example: '1000000000'
      required:
        - id
        - transactor
        - occurredAtUtc
        - transactorUrl
        - transactionHash
        - type
        - automated
        - chainId
        - pledgeId
        - to
        - protocolFeesUsdc
        - netDonationUsdc
        - outcome
        - token
        - amount
        - usdcAmount
    FiatDonationPledgeActivity:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of entity that triggered the activity
          example: 123e4567-e89b-12d3-a456-426614174000
        transactor:
          type: string
          description: Address or label of the initiator of this activity
          nullable: true
          example: '0x1234567890abcdef1234567890abcdef12345678'
        occurredAtUtc:
          type: string
          description: >-
            Timestamp of when the activity occurred on-chain (or database
            timestamp if not available)
          format: date-time
          example: '2023-01-01T12:00:00Z'
        transactorUrl:
          type: string
          description: Link for the transactor address or identity
          nullable: true
          example: >-
            https://etherscan.io/address/0x1234567890abcdef1234567890abcdef12345678
        transactionHash:
          type: string
          description: Transaction hash for the activity
          nullable: true
          example: '0xabcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890'
        type:
          type: string
          description: Type of the activity
          example: fiat_donation_pledge
          enum:
            - fiat_donation_pledge
        automated:
          type: boolean
          description: Flag indicating if this activity is driven by an automated process
          example: false
        chainId:
          type: number
          description: Chain ID of the activity (null for off-chain activities)
          nullable: true
          example: 1
        pledgeId:
          type: string
          description: Unique identifier of the pledge
          example: 123e4567-e89b-12d3-a456-426614174000
        to:
          description: Destination entity of the donation pledge
          allOf:
            - $ref: '#/components/schemas/EntityLabelDto'
        protocolFeesUsdc:
          type: string
          description: >-
            Actual or estimated protocol fees for the pledge, in the smallest
            USDC unit (1000000 = 1 USD), or null when unavailable
          nullable: true
          example: '1000000'
        netDonationUsdc:
          type: string
          description: >-
            Actual or estimated net donation amount after protocol fees, in the
            smallest USDC unit (1000000 = 1 USD), or null when unavailable
          nullable: true
          example: '99000000'
        outcome:
          type: string
          description: Outcome of the pledge
          enum:
            - Pending
            - AwaitingAssets
            - OnRamping
            - Success
            - Failure
          example: Success
        usdcAmount:
          type: string
          description: >-
            The USDC amount that was pledged, prior to fees being applied, in
            the smallest currency unit (1000000 = 1 USD)
          example: '1000000000'
        paymentProcessorFeeCents:
          type: number
          description: >-
            Actual or estimated payment processor fee for the pledge, in USD
            cents
          nullable: true
          example: 320
        selectedPaymentMethod:
          type: string
          description: The payment method used for this donation
          nullable: true
          example: credit_card
      required:
        - id
        - transactor
        - occurredAtUtc
        - transactorUrl
        - transactionHash
        - type
        - automated
        - chainId
        - pledgeId
        - to
        - protocolFeesUsdc
        - netDonationUsdc
        - outcome
        - usdcAmount
        - paymentProcessorFeeCents
        - selectedPaymentMethod
    CashDonationPledgeActivity:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of entity that triggered the activity
          example: 123e4567-e89b-12d3-a456-426614174000
        transactor:
          type: string
          description: Address or label of the initiator of this activity
          nullable: true
          example: '0x1234567890abcdef1234567890abcdef12345678'
        occurredAtUtc:
          type: string
          description: >-
            Timestamp of when the activity occurred on-chain (or database
            timestamp if not available)
          format: date-time
          example: '2023-01-01T12:00:00Z'
        transactorUrl:
          type: string
          description: Link for the transactor address or identity
          nullable: true
          example: >-
            https://etherscan.io/address/0x1234567890abcdef1234567890abcdef12345678
        transactionHash:
          type: string
          description: Transaction hash for the activity
          nullable: true
          example: '0xabcdef1234567890abcdef1234567890abcdef1234567890abcdef1234567890'
        type:
          type: string
          description: Type of the activity
          example: cash_donation_pledge
          enum:
            - cash_donation_pledge
        automated:
          type: boolean
          description: Flag indicating if this activity is driven by an automated process
          example: false
        chainId:
          type: number
          description: Chain ID of the activity (null for off-chain activities)
          nullable: true
          example: 1
        pledgeId:
          type: string
          description: Unique identifier of the pledge
          example: 123e4567-e89b-12d3-a456-426614174000
        to:
          description: Destination entity of the donation pledge
          allOf:
            - $ref: '#/components/schemas/EntityLabelDto'
        protocolFeesUsdc:
          type: string
          description: >-
            Actual or estimated protocol fees for the pledge, in the smallest
            USDC unit (1000000 = 1 USD), or null when unavailable
          nullable: true
          example: '1000000'
        netDonationUsdc:
          type: string
          description: >-
            Actual or estimated net donation amount after protocol fees, in the
            smallest USDC unit (1000000 = 1 USD), or null when unavailable
          nullable: true
          example: '99000000'
        outcome:
          type: string
          description: Outcome of the pledge
          enum:
            - Pending
            - AwaitingAssets
            - OnRamping
            - Success
            - Failure
          example: Success
        usdcAmount:
          type: string
          description: >-
            The USDC amount that was pledged, prior to fees being applied, in
            the smallest currency unit (1000000 = 1 USD)
          example: '1000000000'
        cashTransferType:
          type: string
          description: The reason or type of cash transfer
          enum:
            - DafMigration
            - WirePledge
          example: WirePledge
      required:
        - id
        - transactor
        - occurredAtUtc
        - transactorUrl
        - transactionHash
        - type
        - automated
        - chainId
        - pledgeId
        - to
        - protocolFeesUsdc
        - netDonationUsdc
        - outcome
        - usdcAmount
        - cashTransferType
    TokenListingDto:
      type: object
      properties:
        id:
          type: number
          description: Unique identifier of the token
          example: 1
        symbol:
          type: string
          description: Symbol of the token
          example: ETH
        name:
          type: string
          description: Full name of the token
          example: Ethereum
        decimals:
          type: number
          description: Number of decimal places used by the token
          example: 18
        logoUrl:
          type: string
          description: URL to the token logo image
          example: https://example.com/ethereum-logo.png
        type:
          type: string
          description: Type of token
          enum:
            - Token
            - EvmToken
            - OtcToken
          example: Token
        featured:
          type: boolean
          description: Whether the token is featured
          example: true
        popularity:
          type: number
          description: Popularity score of the token
          example: 10
        chainId:
          type: number
          description: Chain ID where the token exists (for EVM tokens)
          nullable: true
          example: 1
        contractAddress:
          type: string
          description: Contract address of the token (for EVM tokens)
          nullable: true
          example: '0xc02aaa39b223fe8d0a0e5c4f27ead9083c756cc2'
        otcAddress:
          type: string
          description: >-
            Address for receiving the token over-the-counter, without automatic
            liquidation on the blockchain. The property is always present for
            OtcTokens, but may be undefined for EvmTokens if no OTC address is
            found.
          nullable: true
          example: bc1qxy2kgdygjrsqtzq2n0yrf2493p83kkfjhx0wlh
        memo:
          type: string
          description: Optional memo/tag for token transfers
          nullable: true
          example: MEMO123456
        otcNetwork:
          type: object
          description: OTC Network information for the token, if available
          nullable: true
          example:
            id: ethereum
            type: mainnet
        otcChainId:
          type: number
          description: >-
            Chain ID mapped from OTC Network when the network corresponds to an
            EVM chain. This helps identify which chain the OTC address accepts
            deposits on.
          nullable: true
          example: 1
      required:
        - id
        - symbol
        - name
        - decimals
        - logoUrl
        - type
        - featured
        - popularity
    StockListingDto:
      type: object
      properties:
        name:
          type: string
          description: Full name of the stock
          example: Apple Inc.
        ticker:
          type: string
          description: Stock ticker symbol
          example: AAPL
        id:
          type: string
          description: Unique identifier of the stock
          example: 123e4567-e89b-12d3-a456-426614174000
      required:
        - name
        - ticker
        - id
    EntityLabelDto:
      type: object
      properties:
        name:
          type: string
          description: Name of the entity
          example: Endaoment Fund
        id:
          type: string
          description: Unique identifier of the entity
          format: uuid
          example: 123e4567-e89b-12d3-a456-426614174000
        type:
          type: string
          description: Type of the entity
          enum:
            - org
            - fund
            - subproject
          example: fund
      required:
        - name
        - id
        - type
    PortfolioLabelDto:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of the portfolio
          example: 123e4567-e89b-12d3-a456-426614174000
        name:
          type: string
          description: Name of the portfolio
          example: ETH Portfolio
        type:
          type: string
          description: Type of the portfolio
          enum:
            - AaveUsdc
            - CompoundUsdc
            - YearnUsdc
            - SingleToken
            - AaveUsdcV3
            - CompoundUsdcV3
            - TPlusN
            - PrivateWealth
            - IlliquidSellOverTime
            - IlliquidAsset
            - IlliquidLockedAdvisorManaged
          example: SingleToken
        symbol:
          type: string
          description: Symbol of the underlying stock or token
          nullable: true
          example: ETH
      required:
        - id
        - name
        - type
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````